$(document).ready(function() {
    
    
    /**/
    $('.main_table tr .checkbox_td input[type="checkbox"]').click(function(e){
        $(this).parent().parent('tr').toggleClass('active');
    });
    /**/
    
    
    /**/
    /*var body_height = $('body').height();*/
    /*var html_height = $(window).height();*/
    /*$('body').css('min-height',body_height+50);*/
    /*$('.main_left').css('min-height',body_height+50);*/
    /**/
    
    /*Tab*/
    $('#tab .tab_btn').click(function() {
        var tab_id=$(this).attr('id');
        tabClick(tab_id)
    });
    function tabClick(tab_id) {
        if (tab_id != $('#tab .tab_btn.active').attr('id') ) {
            $('#tab .tab_btn').removeClass('active');
            $('#'+tab_id).addClass('active');
            $('#tab div').removeClass('active');
            $('#con_'+ tab_id).addClass('active');
        }
    }
    /*Tab*/
    
    
    
    /**/
    $('.left_menu_company>a').click(function(e){
        e.preventDefault();
        $('.left_menu_company').toggleClass('active');
    });
    /**/
    
    
    /**/
    $('.account .acc_btn').click(function(e){
        e.preventDefault();
        $('.account .account_open').toggleClass('active');
        $('.account').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
    });
    
    /**/
    
    /**/
    $('.notice .notice_btn').click(function(e){
        e.preventDefault();
        $('.notice .notice_open').toggleClass('active');
        $('.notice').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
    });
    $('.notice_open .notice_close_btn').click(function(e){
        e.preventDefault();
        $('.notice .notice_open').removeClass('active');
        $('.notice').removeClass('active');
        $('.notice .notice_btn').removeClass('active');
        $(".filtr_bg").removeClass('active');
    });
    /**/
    
    /**/
    $('.input_text_table input').click(function(e){
        e.preventDefault();
        $('.input_text_table_select').toggleClass('active');
        $(this).toggleClass('active');
    });
    $('.input_text_table .close').click(function(e){
        e.preventDefault();
        $('.input_text_table_select').removeClass('active');
        $('.input_text_table input').removeClass('active');
    });
    /**/
    
    
    
    
    /**/
    $('.filter_number_input').click(function(e){
        e.preventDefault();
        $('.filter_number_block_select').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
    });
    $('.filter_number_block_select .filter_block_select_head .close').click(function(e){
        e.preventDefault();
        $('.filter_number_block_select').removeClass('active');
        $('.filter_number_input').removeClass('active');
        $(".filtr_bg").removeClass('active');
    });
    /**/
    /**/
    $('.filter_sotrudnik_input').click(function(e){
        e.preventDefault();
        $('.filter_sotrudnik_block_select').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
    });
    $('.filter_sotrudnik_block_select .filter_block_select_head .close').click(function(e){
        e.preventDefault();
        $('.filter_sotrudnik_block_select').removeClass('active');
        $('.filter_sotrudnik_input').removeClass('active');
        $(".filtr_bg").removeClass('active');
    });
    /**/
    /**/
    $('.filter_name_input').click(function(e){
        e.preventDefault();
        $('.filter_name_block_select').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
    });
    $('.filter_name_block_select .filter_block_select_head .close').click(function(e){
        e.preventDefault();
        $('.filter_name_block_select').removeClass('active');
        $('.filter_name_input').removeClass('active');
        $(".filtr_bg").removeClass('active');
    });
    /**/
    /**/
    $('.filter_type_input').click(function(e){
        e.preventDefault();
        $('.filter_type_block_select').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
    });
    $('.filter_type_block_select .filter_block_select_head .close').click(function(e){
        e.preventDefault();
        $('.filter_type_block_select').removeClass('active');
        $('.filter_type_input').removeClass('active');
        $(".filtr_bg").removeClass('active');
    });
    /**/
    /**/
    $('.filter_period_input').click(function(e){
        e.preventDefault();
        $('.filter_period_block_select').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
    });
    $('.filter_period_block_select .filter_block_select_head .close').click(function(e){
        e.preventDefault();
        $('.filter_period_block_select').removeClass('active');
        $('.filter_period_input').removeClass('active');
        $(".filtr_bg").removeClass('active');
    });
    /**/
    
    
    /**/
    $('.main_top_first_filtr').click(function(e){
        e.preventDefault();
        $('.main_top_first_filtr_select').toggleClass('active');
        $(this).toggleClass('active');
        $(".filtr_bg").toggleClass('active');
        $(".main_top_filtr_block").toggleClass('active');
    });
    $('.main_top_first_filtr_select .main_filter_title .main_filter_close').click(function(e){
        e.preventDefault();
        $('.main_top_first_filtr_select').removeClass('active');
        $('.main_top_first_filtr').removeClass('active');
        $(".filtr_bg").removeClass('active');
        $(".main_top_filtr_block").removeClass('active');
    });
    /**/
    
    
    /**/
    /*$('.filtr_bg').click(function(e){
        e.preventDefault();
        $('.account .account_open').toggleClass('active');
        $('.account').toggleClass('active');
        $(this).toggleClass('active');
        $('.account .acc_btn').toggleClass('active');
    });*/
    /**/
    
    
    /**/
    $('.menu_opener_btn').click(function(e){
        e.preventDefault();
        $('.main_left').toggleClass('open');
        $('.main_right').toggleClass('open');
        $('.footer').toggleClass('open');
        $('.main_table_table').css('left',0);
    });
    /**/
    
    
    /*Мод. окно No_1*/
    $("body").on("click", ".table_popup_btn", function (e) {
        e.preventDefault();
        $("#table_popup").fadeIn();
    });
    $("#table_popup .table_popup_block").on("click", function (e) {
        e.stopPropagation();
    });
    $("#table_popup").on("click", function (e) {
        e.preventDefault();
        $("#table_popup").fadeOut();
    });
    $(".popup_close").on("click", function (e) {
        e.preventDefault();
        $("#table_popup").fadeOut();
    });
    /*Мод. окно No_1*/
    
    /*Мод. окно No_2*/
    $("body").on("click", ".description_popup_btn", function (e) {
        e.preventDefault();
        $("#description_popup").fadeIn();
    });
    $("#description_popup .description_popup_block").on("click", function (e) {
        e.stopPropagation();
    });
    $("#description_popup").on("click", function (e) {
        e.preventDefault();
        $("#description_popup").fadeOut();
    });
    $(".description_popup_close").on("click", function (e) {
        e.preventDefault();
        $("#description_popup").fadeOut();
    });
    /*Мод. окно No_2*/
    
    /*Мод. окно No_3*/
    $("body").on("click", ".search_popup_btn", function (e) {
        e.preventDefault();
        $("#search_popup").fadeIn();
    });
    $("#search_popup .search_popup_block").on("click", function (e) {
        e.stopPropagation();
    });
    $("#search_popup").on("click", function (e) {
        e.preventDefault();
        $("#search_popup").fadeOut();
    });
    $(".search_popup_close").on("click", function (e) {
        e.preventDefault();
        $("#search_popup").fadeOut();
    });
    /*Мод. окно No_3*/
    
    
    /**/
    $('.dir_btn').click(function(e){
        $('.description_block').show();
        $('.description_colors_block').hide();
        $(this).addClass('active');
        $('.col_btn').removeClass('active');
    });
    $('.col_btn').click(function(e){
        $('.description_colors_block').show();
        $('.description_block').hide();
        $(this).addClass('active');
        $('.dir_btn').removeClass('active');
    });
    /**/
    
    /**/
    $('.answer_open').click(function(e){
        e.preventDefault();
        $('.quest_answer').toggleClass('opened');
    });
    /**/
    
    /**/
    $('.close_new_notice').click(function(e){
        e.preventDefault();
        $('.new_notice').hide();
    });
    $('.close_new_message').click(function(e){
        e.preventDefault();
        $('.new_message').hide();
    });
    /**/
    
    
    /**/
    $('.favorite_btn').click(function(e){
        e.preventDefault();
        $(this).toggleClass('active');
    });
    /**/
    
    /**/
    $('.accordion_btn').click(function(e){
        e.preventDefault();
        $(this).parent().parent('.accordion_opener').find('.accordion_block').slideToggle();
    });
    $('.accordion_btn').click(function(e){
        e.preventDefault();
        $(this).parent().parent().parent().parent('.accordion_opener').find('.accordion_block').slideToggle();
        $(this).toggleClass('closed');
    });
    /**/
    
    function control_table_left(){
        var table_left = $('.main_table_table').position().left;
        var table_width = $('.main_table').width();
        if($('.main_table_table').width() - table_width > -(table_left)) {
            if($('.main_table_table').width() - table_width + table_left < 100) {
                $('.main_table_table').css('left',table_width - $('.main_table_table').width());
            }
            else {
                $('.main_table_table').css('left',table_left-100);
            }
        }
    } 
    
    function control_table_right(){
        var table_left = $('.main_table_table').position().left;
        var table_width = $('.main_table').width();
        if(table_left < 0) {
            if(table_left < 100) {
                $('.main_table_table').css('left',0);
            }
            else {
                $('.main_table_table').css('left',table_left+100);
            }
        }
    } 
    
    /**/
    $('.table_to_left_btn').click(function(e){
        e.preventDefault();
        control_table_left();
    });
    
    $('.table_to_right_btn').click(function(e){
        e.preventDefault();
        control_table_right();
    });
    /**/
    
    
    
    
    /**/
    $('.filter_ul li a').click(function(e){
        e.preventDefault();
        $('.input_text.active').val($(this).text());
        $('.input_text.active').click();
    });
    /**/
    
});